import { createApp } from 'vue'
import { createPinia } from 'pinia'
import './app.scss'
// NutUI样式导入
import '@nutui/nutui-taro/dist/style.css'
import './assets/styles/nutui-custom.scss'

const App = createApp({
  onShow(options) {
    console.log('App onShow', options)
  },
  // 入口组件不需要实现render方法，即使实现了也会被忽略
  onLaunch() {
    // 初始化云环境
    if (process.env.TARO_ENV === 'weapp') {
      const Taro = require('@tarojs/taro')
      Taro.cloud.init({
        // 使用默认环境（自动创建，无需认证）
        env: Taro.cloud.DYNAMIC_CURRENT_ENV, 
        traceUser: true
      })
      console.log('已启用微信云开发默认环境')
    }
  }
})

App.use(createPinia())

export default App